Name: xpuyopuyo
Version: 0.3.3
Release: 1
Summary: Xpuyopuyo is a Tetris-like puzzle game
Copyright: GPL
Group: Amusements/Games
Source: http://chaos2.org/%{name}/%{name}-%{version}.tar.gz
URL: http://chaos2.org/xpuyopuyo/
BuildRoot: /tmp/%{name}-%{version}
Packager: Ian Macdonald <ian@caliban.org>

%changelog
* Sun Feb 20 2000  Ian Macdonald <ian@caliban.org>
- updated to 0.3.3

* Wed Jan  5 2000  Ian Macdonald <ian@caliban.org>
- updated to 0.3.1

* Sun Jan  2 2000  Ian Macdonald <ian@caliban.org>
- updated to 0.3.0

* Fri Dec 10 1999  Ian Macdonald <ian@caliban.org>
- first RPM release (0.2.10)

%description
Xpuyopuyo is a Tetris-like puzzle game where you strive to match up four
"blobs" of the same color.  Each match gives you points, and also dumps gray
rocks on your opponent which are irritating and troublesome to get rid of. 
Multiple matches at one time score more points, and result in more rocks
being dumped on the opponent (much to their dismay).  First person to fill
up their screen with puyopuyo blobs loses.

The game features an AI, and is capable of single-player, human-human play,
human-AI gameplay, or AI-AI gameplay (demo mode).  It will keep track of the
total number of matches each player recieves, and the number of
single-matches, double-matches, triple-matches, etc. as well.

%prep
%setup

%build
rm -rf $RPM_BUILD_ROOT
CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
/usr/bin/xpuyopuyo
